aboutsummaryrefslogtreecommitdiffstats
path: root/checks/decrypt-dsa.test
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xchecks/decrypt-dsa.test10
1 files changed, 10 insertions, 0 deletions
diff --git a/checks/decrypt-dsa.test b/checks/decrypt-dsa.test
new file mode 100755
index 000000000..bd3f4b99e
--- /dev/null
+++ b/checks/decrypt-dsa.test
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+. defs.inc || exit 3
+
+#info Checking decryption of supplied DSA encrypted file
+for i in "plain-1" ; do
+ ./run-gpg $dsa_keyrings -o y --yes $i-pgp.asc
+ cmp $i y || error "$i: mismatch"
+done
+